Bug 137930 - Error parsing when creating LV of a specified number of extents
Error parsing when creating LV of a specified number of extents
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks: 135876
  Show dependency treegraph
 
Reported: 2004-11-02 16:53 EST by Derek Anderson
Modified: 2009-04-16 19:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 15:44:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-11-02 16:53:41 EST
Description of problem:
I think this is a regression from the last build I looked at.
Create a VG and navigate to the Logical View.  Click on "Create New
Logical Volume".  Give it a name.  For Size select Extents from the
dropdown and put some valid number of extents in the box.  Click OK.  

This appears on the command line:
  Invalid argument 3000.0
  Error during parsing of command line.

The LV is not created.

Version-Release number of selected component (if applicable):
system-config-lvm-0.9.3-1.0

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jim Parsons 2004-11-09 23:34:34 EST
Fixed @ 0.9.7-1.0
Refactored the way size/units are handled in lv creation.
Comment 2 Derek Anderson 2004-11-11 15:44:16 EST
This now works system-config-lvm-0.9.8-1.0.  'Course if a float is
specified it doesn't work, but that's covered in bug #138887.  And it
doesn't make sense for an extent request.

Note You need to log in before you can comment on or make changes to this bug.